extends Control

var PersonajeIcon = preload("res://Objetos/PersoIcon.tscn")
var tomoButton = preload("res://Objetos/TomoBtn.tscn")
var dir

var presionadasbtn = 64

var listaTomos = []

func _ready():
	print("Nivel")
	print(Global.nivel)
	
	$superiorButtons.setTitulo(Global.nivel.nombre)
	dir = DirAccess.open(Global.basedir +"/"+ Global.JsonGDD.folders.documentos +"/"+ Global.nivel.sigla)
	
	agregarMascota()
	llenarPersonajes()
	llenarTomos()
	
	if Global.online:
		print("hacer request analitic GDD")
		var evento=  {
			"name": "Nivel",
				"params": {
				  "curso": Global.nivel.sigla
				}
		  }
		Global.askanarenquest(Global.anaUrl+"/GDD/CURSO:"+Global.nivel.sigla,[],[evento]) #enviaranalitica 

func agregarMascota():
	var mascota = Global.JsonGDD.mascotas[str(Global.nivel.mascota_id)]
	print(mascota)
	$ContainerMascota/Texto.text = mascota.descripcion
	if dir.file_exists(mascota.nombre + ".png"):
		print("set imagen mascota")
		var image = Image.load_from_file(dir.get_current_dir() + "/" + mascota.nombre + ".png")
		var texture = ImageTexture.create_from_image(image)
		$ContainerMascota/TextureRect.texture = texture



func llenarPersonajes():
	var listapersonajes = Global.JsonGDD.personajes
	
	print("lista de personajes")
	print(Global.basedir +"/"+ Global.JsonGDD.folders.documentos +"/"+ Global.nivel.sigla)
	
	
	for persoid in Global.nivel.personajes_ids:
		
		var perso = listapersonajes[str(persoid)]
		
		var persoIcon = PersonajeIcon.instantiate()
		var nombrearray = perso.nombre.split("_")
		
		persoIcon.setNombre(nombrearray[0])
		if dir.file_exists(perso.nombre + ".png"):
			persoIcon.setIcon(dir.get_current_dir() + "/" + perso.nombre + ".png")
		
		if nombrearray[1].to_lower() == "1° y 2°":
			persoIcon.custom_minimum_size.x = 112
		else:
			persoIcon.custom_minimum_size.x = 100
		
		
		$ContainerEstudiantes/HBoxContainer.add_child(persoIcon)

func llenarTomos():
	
	for tomonum in Global.nivel.tomos.keys():
		listaTomos.append(Global.nivel.tomos[tomonum])
	
	
	for tomo in listaTomos:
		var tomobtn = tomoButton.instantiate()
		tomobtn.setBtnTxt(tomo.nombre)
		tomobtn.tomo = tomo
		
		print(tomo)
		
		if dir.dir_exists(tomo.sigla):
			var subdir = DirAccess.open( dir.get_current_dir() + "/" + tomo.sigla )
			if subdir.file_exists( Global.nivel.sigla + "-" + tomo.sigla + "-portada." + tomo.extension_portada ):
				print("tomo")
				print(tomo)
				tomobtn.setImage( dir.get_current_dir() + "/" + tomo.sigla + "/" + Global.nivel.sigla + "-" + tomo.sigla + "-portada." + tomo.extension_portada )
				
			tomobtn.setTomoLocation( dir.get_current_dir() + "/" + tomo.sigla + "/" + Global.nivel.sigla + "-" + tomo.sigla + "-GDD.pdf" )
		
		$TomosContainer.add_child(tomobtn)


func _on_button_pressed():
	print("Nivel")
	print(Global.nivel)
	match  Global.nivel.sigla:
		"1B":
			Global.selectedNivel = 0
		"2B":
			Global.selectedNivel = 1
		"3B":
			Global.selectedNivel = 2
		"4B":
			Global.selectedNivel = 3
		"5B":
			Global.selectedNivel = 4
		"6B":
			Global.selectedNivel = 5
	get_tree().change_scene_to_file("res://Escenas/Editables2.tscn")


func _on_btn_hidden_pressed():
	if presionadasbtn > 0:
		presionadasbtn -= 1
	else: 
		var mascota = Global.JsonGDD.mascotas[str(Global.nivel.mascota_id)]
		var textonuevomascota = "texto de la mascota"
		#print(mascota.nombre)
		match (mascota.nombre).to_lower():
			"zorro":
				textonuevomascota = "Zoy el zorro y soy el mas zorron, choque el auto de mi viejo"
			"puma":
				textonuevomascota = "Soy el puma mas cuma, entrega toah la plata, no te hagai el larry"
			"monito del monte":
				textonuevomascota = "Soy el mono chico y soy un marsupial... tengo una navaja en mi bolsa"
		$ContainerMascota/Texto.text = textonuevomascota
	print("presionado " + str(presionadasbtn))
	


func _on_buttonback_pressed():
	get_tree().change_scene_to_file("res://Escenas/Home.tscn")

